Index: trunk/IPs/systemC/processor/Morpheo/Files/Instance_debug.cfg
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Files/Instance_debug.cfg	(revision 110)
+++ trunk/IPs/systemC/processor/Morpheo/Files/Instance_debug.cfg	(revision 111)
@@ -17,4 +17,5 @@
   <decod_bloc id="0">                                       
     <parameter name="size_decod_queue"                      value="16"/>
+    <parameter name="decod_queue_scheme"                    value="0" />
     <parameter name="nb_inst_decod"                         value="4" />
     <parameter name="nb_context_select"                     value="1" />
@@ -87,14 +88,30 @@
     <parameter name="btb_size_counter"                      value="2" />
     <parameter name="btb_victim_scheme"                     value="3" />
-    <parameter name="dir_predictor_scheme"                  value="2" />
-                                                            
-    <predictor id="0,1,2">                                      
+    <parameter name="dir_predictor_scheme"                  value="4" />
+                                                            
+    <predictor id="0">                                      
       <parameter name="dir_have_bht"                        value="1" />
-      <parameter name="dir_bht_size_shifter"                value="1" />
+      <parameter name="dir_bht_size_shifter"                value="4" />
+      <parameter name="dir_bht_nb_shifter"                  value="64" />
+      <parameter name="dir_have_pht"                        value="1" />
+      <parameter name="dir_pht_size_counter"                value="2" />
+      <parameter name="dir_pht_nb_counter"                  value="64" />
+      <parameter name="dir_pht_size_address_share"          value="0" />
+    </predictor>                                            
+    <predictor id="1">                                      
+      <parameter name="dir_have_bht"                        value="1" />
+      <parameter name="dir_bht_size_shifter"                value="4" />
       <parameter name="dir_bht_nb_shifter"                  value="1" />
       <parameter name="dir_have_pht"                        value="1" />
-      <parameter name="dir_pht_size_counter"                value="1" />
-      <parameter name="dir_pht_nb_counter"                  value="1" />
-      <parameter name="dir_pht_size_address_share"          value="1" />
+      <parameter name="dir_pht_size_counter"                value="2" />
+      <parameter name="dir_pht_nb_counter"                  value="64" />
+      <parameter name="dir_pht_size_address_share"          value="0" />
+    </predictor>                                            
+    <predictor id="2">                                      
+      <parameter name="dir_have_bht"                        value="0" />
+      <parameter name="dir_have_pht"                        value="1" />
+      <parameter name="dir_pht_size_counter"                value="2" />
+      <parameter name="dir_pht_nb_counter"                  value="128" />
+      <parameter name="dir_pht_size_address_share"          value="0" />
     </predictor>                                            
   </front_end>
@@ -114,4 +131,5 @@
     <parameter name="size_issue_queue"                      value="8" />
     <parameter name="nb_issue_queue_bank"                   value="4" />
+    <parameter name="issue_queue_scheme"                    value="0" />
     <parameter name="issue_priority"                        value="1" />
     <parameter name="issue_load_balancing"                  value="1" />
Index: trunk/IPs/systemC/processor/Morpheo/Files/Morpheo.gen
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Files/Morpheo.gen	(revision 110)
+++ trunk/IPs/systemC/processor/Morpheo/Files/Morpheo.gen	(revision 111)
@@ -24,4 +24,5 @@
   <parameter name="nb_decod_bloc"                         min="1"   max="8"    step="+ 1" default="1"   level="..." description="..." />
   <parameter name="size_decod_queue"                      min="1"   max="32"   step="+ 1" default="2"   level="..." description="..." />
+  <parameter name="decod_queue_scheme"                    min="0"   max="1"    step="+ 1" default="0"   level="..." description="0 : one_fifo, 1 : multi_fifo" />
   <parameter name="nb_inst_decod"                         min="1"   max="8"    step="+ 1" default="1"   level="..." description="..." />
   <parameter name="nb_context_select"                     min="1"   max="8"    step="+ 1" default="1"   level="..." description="..." />
@@ -75,11 +76,11 @@
   <parameter name="btb_victim_scheme"                     min="0"   max="5"    step="+ 1" default="1"   level="..." description="0 : Random, 1 : Round Robin, 2 : Not Last Used, 3 : Pseudo LRU, 4 : Least Recently Used, 5 : FIFO" />
   <parameter name="dir_predictor_scheme"                  min="0"   max="8"    step="+ 1" default="1"   level="..." description="0 : Never take, 1 : Always Take, 2 : Static, 3 : Last Take, 4 : Counter, 5 : Local predictor, 6 : Global predictor, 7 : Meta predictor, 8 : Custom predictor" />
-  <parameter name="dir_have_bht"                          min="1"   max="8"    step="* 2" default="1"   level="..." description="..." />
-  <parameter name="dir_bht_size_shifter"                  min="1"   max="8"    step="* 2" default="1"   level="..." description="..." />
-  <parameter name="dir_bht_nb_shifter"                    min="1"   max="8"    step="* 2" default="1"   level="..." description="..." />
-  <parameter name="dir_have_pht"                          min="1"   max="8"    step="* 2" default="1"   level="..." description="..." />
-  <parameter name="dir_pht_size_counter"                  min="1"   max="8"    step="* 2" default="1"   level="..." description="..." />
-  <parameter name="dir_pht_nb_counter"                    min="1"   max="8"    step="* 2" default="1"   level="..." description="..." />
-  <parameter name="dir_pht_size_address_share"            min="1"   max="8"    step="+ 1" default="1"   level="..." description="..." />
+  <parameter name="dir_have_bht"                                                          default="1"   level="..." description="..." />
+  <parameter name="dir_bht_size_shifter"                  min="1"   max="10"   step="+ 1" default="1"   level="..." description="..." />
+  <parameter name="dir_bht_nb_shifter"                    min="1"   max="1024" step="* 2" default="1"   level="..." description="..." />
+  <parameter name="dir_have_pht"                                                          default="1"   level="..." description="..." />
+  <parameter name="dir_pht_size_counter"                  min="1"   max="4"    step="+ 1" default="1"   level="..." description="..." />
+  <parameter name="dir_pht_nb_counter"                    min="1"   max="1024" step="* 2" default="1"   level="..." description="..." />
+  <parameter name="dir_pht_size_address_share"            min="0"   max="10"   step="+ 1" default="1"   level="..." description="..." />
                                                                                
   <parameter name="nb_ooo_engine"                         min="1"   max="8"    step="+ 1" default="1"   level="..." description="..." />
@@ -97,4 +98,5 @@
   <parameter name="size_issue_queue"                      min="1"   max="8"    step="* 2" default="2"   level="..." description="..." />
   <parameter name="nb_issue_queue_bank"                   min="1"   max="8"    step="* 2" default="1"   level="..." description="..." />
+  <parameter name="issue_queue_scheme"                    min="0"   max="2"    step="+ 1" default="0"   level="..." description="0 : in_order, 1 : in_bundle_order, 2 : out_of_order" />
   <parameter name="issue_priority"                        min="1"   max="8"    step="* 2" default="1"   level="..." description="..." />
   <parameter name="issue_load_balancing"                  min="1"   max="8"    step="* 2" default="1"   level="..." description="..." />
Index: trunk/IPs/systemC/processor/Morpheo/Files/Morpheo.sim
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Files/Morpheo.sim	(revision 110)
+++ trunk/IPs/systemC/processor/Morpheo/Files/Morpheo.sim	(revision 111)
@@ -15,5 +15,5 @@
   <parameter  name="statistics_period"                      value="0"       />
                                                             
-  <parameter  name="simulation_nb_cycle"                    value="600000"  />
+  <parameter  name="simulation_nb_cycle"                    value="100000"  />
   <parameter  name="simulation_nb_instruction"              value="0"       />
                                                             
@@ -24,9 +24,9 @@
                                                             
   <parameter  name="debug_level"                            value="3"       />
-  <parameter  name="debug_cycle_start"                      value="1600"    />
-  <parameter  name="debug_cycle_stop"                       value="1750"    />
+  <parameter  name="debug_cycle_start"                      value="7200"    />
+  <parameter  name="debug_cycle_stop"                       value="7400"    />
+  <parameter  name="debug_have_log_file"                    value="0"       />
   <parameter  name="debug_idle_cycle"                       value="100"     />
-  <parameter  name="debug_idle_time"                        value="3"       />
-  <parameter  name="debug_have_log_file"                    value="0"       />
+  <parameter  name="debug_idle_time"                        value="5"       />
 
   <component  name="Counter"                                simulation="systemc" debug="0" />
